> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/cashouts-api/banks/get-bank-codes.md).

# Get bank codes

## Retrieve Bank List by Country

> This API allows you to retrieve the list of banks available in each country.

```json
{"openapi":"3.0.0","info":{"title":"Cashout Bank Codes API","version":"v3"},"servers":[{"url":"https://api-stg.onekeypayments.com/v3","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Authentication using a Bearer Token (Read-Only API Key). The token should be prefixed with \"Bearer \"."}},"schemas":{"Bank":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Bank code. It is the value you must send in the field bank_code of the cashouts and deposits requests."},"name":{"type":"string","description":"Name of the bank."}},"required":["code","name"]},"ErrorInvalidCredentials":{"type":"object","properties":{"code":{"type":"integer","description":"Error code."},"description":{"type":"string","description":"A human-readable description of the error."},"type":{"type":"string","description":"A machine-readable error type."}},"required":["code","description","type"]}}},"paths":{"/banks":{"get":{"summary":"Retrieve Bank List by Country","description":"This API allows you to retrieve the list of banks available in each country.","operationId":"getBankListByCountry","parameters":[{"name":"country","in":"query","required":true,"description":"Country ISO code (2 letters).","schema":{"type":"string","minLength":2,"maxLength":2}}],"responses":{"200":{"description":"Bank list successfully retrieved.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Bank"}}}}},"401":{"description":"Invalid credentials error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorInvalidCredentials"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/cashouts-api/banks/get-bank-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
